## amdgpu-pro-dkms 16.30.3-320002fsomerville1

=== amdgpu-pro-16.30.3-320002fsomerville1/Makefile ===
export CONFIG_DRM_AMDGPU=m
export BUILD_AS_DKMS=y
export CONFIG_DRM_AMDGPU_CIK=y
export CONFIG_DRM_AMDGPU_USERPTR=y
export CONFIG_DRM_AMD_POWERPLAY=y
export CONFIG_DRM_AMD_DAL=y
export CONFIG_DRM_AMD_DAL_VBIOS_PRESENT=y
export CONFIG_DRM_AMD_DAL_DCE11_0=y
export CONFIG_DRM_AMD_DAL_DCE11_2=y
export CONFIG_DRM_AMD_DAL_DCE10_0=y
export CONFIG_DRM_AMD_DAL_DCE8_0=y

subdir-ccflags-y += -DBUILD_AS_DKMS
subdir-ccflags-y += -DCONFIG_DRM_AMDGPU_CIK
subdir-ccflags-y += -DCONFIG_DRM_AMDGPU_USERPTR
subdir-ccflags-y += -DCONFIG_DRM_AMD_POWERPLAY
subdir-ccflags-y += -DCONFIG_DRM_AMD_DAL=y
subdir-ccflags-y += -DCONFIG_DRM_AMD_DAL_VBIOS_PRESENT=y
subdir-ccflags-y += -DCONFIG_DRM_AMD_DAL_DCE11_0=y
subdir-ccflags-y += -DCONFIG_DRM_AMD_DAL_DCE11_2=y
subdir-ccflags-y += -DCONFIG_DRM_AMD_DAL_DCE10_0=y
subdir-ccflags-y += -DCONFIG_DRM_AMD_DAL_DCE8_0=y

obj-m += amd/amdgpu/

=== amdgpu-pro-16.30.3-320002fsomerville1/amd/backport/Makefile ===
ifneq (,$(BUILD_AS_DKMS))

ifneq (,$(wildcard /etc/os-release))
OS_NAME = "$(shell sed -n 's/^ID=\(.*\)/\1/p' /etc/os-release)"
OS_VERSION = $(shell sed -n 's/^VERSION_ID=\(.*\)/\1/p' /etc/os-release)
else ifneq (,$(wildcard /etc/redhat-release))
OS_NAME = "rhel"
OS_VERSION = "$(shell cut -d ' ' -f 7 /etc/redhat-release)"
else
OS_NAME = "unknown"
OS_VERSION = "0.0"
endif

ifeq ("rhel",$(OS_NAME))
ccflags-y += -DOS_NAME_RHEL
else ifeq ("ubuntu",$(OS_NAME))
ccflags-y += -DOS_NAME_UBUNTU
else ifeq ("steamos",$(OS_NAME))
ccflags-y += -DOS_NAME_STEAMOS
else
ccflags-y += -DOS_NAME_UNKNOWN
endif

ccflags-y += \
	-DOS_VERSION_MAJOR=$(shell echo $(OS_VERSION).0 | cut -d. -f1) \
	-DOS_VERSION_MINOR=$(shell echo $(OS_VERSION).0 | cut -d. -f2)

ifeq ($(OS_NAME),"ubuntu")
OS_BUILD_NUM = $(shell echo $(KERNELRELEASE) | cut -d '-' -f 2)
ccflags-y += -DUBUNTU_BUILD_NUM=$(OS_BUILD_NUM)
ifeq ($(OS_VERSION),"14.04")
ccflags-y += -DOS_NAME_UBUNTU_1404
else
ccflags-y += -DOS_NAME_UBUNTU_1604
endif
endif

ifeq ($(OS_NAME),"rhel")
ifeq ($(OS_VERSION),"6.8")
ccflags-y += -DOS_NAME_RHEL_6
ccflags-y += \
	-I$(FULL_AMD_PATH)/backport/rhel/6.8/include \
	-I$(FULL_AMD_PATH)/backport/rhel/6.8/include/uapi
endif
endif

ifeq ($(OS_NAME),"rhel")
ifeq ($(OS_VERSION),"7.2")
ccflags-y += -DOS_NAME_RHEL_7
endif
endif

BACKPORT_OBJS = symbols.o
endif

BACKPORT_OBJS += kcl_drm.o kcl_ttm.o kcl_amdgpu.o kcl_fence.o kcl_mn.o

amdgpu-y += $(addprefix ../backport/,$(BACKPORT_OBJS))

ccflags-y += \
	-I$(FULL_AMD_PATH)/backport/include \
	-include $(FULL_AMD_PATH)/backport/backport.h

=== amdgpu-pro-16.30.3-320002fsomerville1/amd/dal/Makefile ===
#
# Makefile for the DAL (Display Abstract Layer), which is a  sub-component
# of the AMDGPU drm driver.
# It provides the HW control for display related functionalities.

AMDDALPATH = $(RELATIVE_AMD_DAL_PATH)

subdir-ccflags-y += -Werror

subdir-ccflags-y += -I$(AMDDALPATH)/ -I$(AMDDALPATH)/include

subdir-ccflags-y += -I$(FULL_AMD_DAL_PATH)/dc/inc/
subdir-ccflags-y += -I$(FULL_AMD_DAL_PATH)/dc/inc/hw

#TODO: remove when Timing Sync feature is complete
subdir-ccflags-y += -DBUILD_FEATURE_TIMING_SYNC=0

DAL_LIBS = amdgpu_dm dc

AMD_DAL = $(addsuffix /Makefile, $(addprefix $(FULL_AMD_DAL_PATH)/,$(DAL_LIBS)))

include $(AMD_DAL)

=== amdgpu-pro-16.30.3-320002fsomerville1/amd/dal/amdgpu_dm/Makefile ===
#
# Makefile for the 'dm' sub-component of DAL.
# It provides the control and status of dm blocks.



AMDGPUDM = amdgpu_dm_types.o amdgpu_dm.o amdgpu_dm_irq.o amdgpu_dm_mst_types.o

ifneq ($(CONFIG_DRM_AMD_DAL),)
AMDGPUDM += amdgpu_dm_services.o amdgpu_dm_helpers.o
endif

subdir-ccflags-y += -I$(FULL_AMD_DAL_PATH)/dc

AMDGPU_DM = $(addprefix $(AMDDALPATH)/amdgpu_dm/,$(AMDGPUDM))

AMD_DAL_FILES += $(AMDGPU_DM)

=== amdgpu-pro-16.30.3-320002fsomerville1/amd/dal/dc/Makefile ===
#
# Makefile for Display Core (dc) component.
#

DC_LIBS = adapter asic_capability audio basics bios calcs \
gpio gpu i2caux irq virtual

ifdef CONFIG_DRM_AMD_DAL_DCE11_2
DC_LIBS += dce112
endif

ifdef CONFIG_DRM_AMD_DAL_DCE11_0
DC_LIBS += dce110
endif

ifdef CONFIG_DRM_AMD_DAL_DCE10_0
DC_LIBS += dce100
endif

ifdef CONFIG_DRM_AMD_DAL_DCE8_0
DC_LIBS += dce80
endif

AMD_DC = $(addsuffix /Makefile, $(addprefix $(FULL_AMD_DAL_PATH)/dc/,$(DC_LIBS)))

include $(AMD_DC)

DISPLAY_CORE = dc.o dc_link.o dc_resource.o dc_target.o dc_sink.o dc_stream.o \
dc_hw_sequencer.o dc_surface.o dc_link_hwss.o dc_link_dp.o dc_link_ddc.o

AMD_DISPLAY_CORE = $(addprefix $(AMDDALPATH)/dc/core/,$(DISPLAY_CORE))

AMD_DAL_FILES += $(AMD_DISPLAY_CORE)

=== amdgpu-pro-16.30.3-320002fsomerville1/amd/powerplay/hwmgr/Makefile ===
#
# Makefile for the 'hw manager' sub-component of powerplay.
# It provides the hardware management services for the driver.

HARDWARE_MGR = hwmgr.o processpptables.o functiontables.o \
	       hardwaremanager.o pp_acpi.o cz_hwmgr.o \
               cz_clockpowergating.o \
	       tonga_processpptables.o ppatomctrl.o \
               tonga_hwmgr.o pppcielanes.o  tonga_thermal.o\
               fiji_powertune.o fiji_hwmgr.o tonga_clockpowergating.o \
               fiji_clockpowergating.o fiji_thermal.o \
	       polaris10_hwmgr.o polaris10_powertune.o polaris10_thermal.o \
	       polaris10_clockpowergating.o iceland_hwmgr.o \
	       iceland_clockpowergating.o iceland_thermal.o \
	       iceland_powertune.o

AMD_PP_HWMGR = $(addprefix $(AMD_PP_PATH)/hwmgr/,$(HARDWARE_MGR))

AMD_POWERPLAY_FILES += $(AMD_PP_HWMGR)

=== amdgpu-pro-16.30.3-320002fsomerville1/amd/powerplay/smumgr/Makefile ===
#
# Makefile for the 'smu manager' sub-component of powerplay.
# It provides the smu management services for the driver.

SMU_MGR = smumgr.o cz_smumgr.o tonga_smumgr.o fiji_smumgr.o \
	  polaris10_smumgr.o iceland_smumgr.o

AMD_PP_SMUMGR = $(addprefix $(AMD_PP_PATH)/smumgr/,$(SMU_MGR))

AMD_POWERPLAY_FILES += $(AMD_PP_SMUMGR)

=== amdgpu-pro-16.30.3-320002fsomerville1/amd/dal/dc/adapter/Makefile ===
#
# Makefile for the 'adapter' sub-component of DAL.
# It provides the control and status of HW adapter.

ADAPTER = adapter_service.o hw_ctx_adapter_service.o wireless_data_source.o

AMD_DAL_ADAPTER = $(addprefix $(AMDDALPATH)/dc/adapter/,$(ADAPTER))

AMD_DAL_FILES += $(AMD_DAL_ADAPTER)

###############################################################################
# DCE 8x
###############################################################################

ifdef CONFIG_DRM_AMD_DAL_DCE8_0
AMD_DAL_FILES += $(AMDDALPATH)/dc/adapter/dce80/hw_ctx_adapter_service_dce80.o
endif


###############################################################################
# DCE 11x
###############################################################################

ifdef CONFIG_DRM_AMD_DAL_DCE11_0
AMD_DAL_FILES += $(AMDDALPATH)/dc/adapter/dce110/hw_ctx_adapter_service_dce110.o
endif

ifdef CONFIG_DRM_AMD_DAL_DCE11_2
AMD_DAL_FILES += $(AMDDALPATH)/dc/adapter/dce112/hw_ctx_adapter_service_dce112.o
endif

###############################################################################
# FPGA Diagnositcs
###############################################################################

AMD_DAL_FILES += $(AMDDALPATH)/dc/adapter/diagnostics/hw_ctx_adapter_service_diag.o

=== amdgpu-pro-16.30.3-320002fsomerville1/amd/dal/dc/asic_capability/Makefile ===
#
# Makefile for the 'asic_capability' sub-component of DAL.
#

ASIC_CAPABILITY = asic_capability.o

AMD_DAL_ASIC_CAPABILITY = \
	$(addprefix $(AMDDALPATH)/dc/asic_capability/,$(ASIC_CAPABILITY))

AMD_DAL_FILES += $(AMD_DAL_ASIC_CAPABILITY)

###############################################################################
# DCE 8x
###############################################################################
ifdef CONFIG_DRM_AMD_DAL_DCE8_0
ASIC_CAPABILITY_DCE80 = hawaii_asic_capability.o

AMD_DAL_ASIC_CAPABILITY_DCE80 = \
	$(addprefix $(AMDDALPATH)/dc/asic_capability/,$(ASIC_CAPABILITY_DCE80))

AMD_DAL_FILES += $(AMD_DAL_ASIC_CAPABILITY_DCE80)
endif


###############################################################################
# DCE 10x
###############################################################################
ifdef CONFIG_DRM_AMD_DAL_DCE10_0
ASIC_CAPABILITY_DCE10 = tonga_asic_capability.o

AMD_DAL_ASIC_CAPABILITY_DCE10 = \
	$(addprefix $(AMDDALPATH)/dc/asic_capability/,$(ASIC_CAPABILITY_DCE10))

AMD_DAL_FILES += $(AMD_DAL_ASIC_CAPABILITY_DCE10)
endif


###############################################################################
# DCE 11x
###############################################################################
ifdef CONFIG_DRM_AMD_DAL_DCE11_0
ASIC_CAPABILITY_DCE11 = carrizo_asic_capability.o

AMD_DAL_ASIC_CAPABILITY_DCE11 = \
	$(addprefix $(AMDDALPATH)/dc/asic_capability/,$(ASIC_CAPABILITY_DCE11))

AMD_DAL_FILES += $(AMD_DAL_ASIC_CAPABILITY_DCE11)
endif

ifdef CONFIG_DRM_AMD_DAL_DCE11_2
ASIC_CAPABILITY_DCE112 = polaris10_asic_capability.o

AMD_DAL_ASIC_CAPABILITY_DCE112 = \
	$(addprefix $(AMDDALPATH)/dc/asic_capability/,$(ASIC_CAPABILITY_DCE112))

AMD_DAL_FILES += $(AMD_DAL_ASIC_CAPABILITY_DCE112)
endif

=== amdgpu-pro-16.30.3-320002fsomerville1/amd/dal/dc/audio/Makefile ===
#
# Makefile for the 'audio' sub-component of DAL.
# It provides the control and status of HW adapter resources,
# that are global for the ASIC and sharable between pipes.

AUDIO = audio_base.o hw_ctx_audio.o

AMD_DAL_AUDIO = $(addprefix $(AMDDALPATH)/dc/audio/,$(AUDIO))

AMD_DAL_FILES += $(AMD_DAL_AUDIO)


###############################################################################
# DCE 8x
###############################################################################
ifdef CONFIG_DRM_AMD_DAL_DCE8_0
AUDIO_DCE80 = audio_dce80.o hw_ctx_audio_dce80.o

AMD_DAL_AUDIO_DCE80 = $(addprefix $(AMDDALPATH)/dc/audio/dce80/,$(AUDIO_DCE80))

AMD_DAL_FILES += $(AMD_DAL_AUDIO_DCE80)
endif


###############################################################################
# DCE 11x
###############################################################################
ifdef CONFIG_DRM_AMD_DAL_DCE11_0
AUDIO_DCE11 = audio_dce110.o hw_ctx_audio_dce110.o

AMD_DAL_AUDIO_DCE11 = $(addprefix $(AMDDALPATH)/dc/audio/dce110/,$(AUDIO_DCE11))

AMD_DAL_FILES += $(AMD_DAL_AUDIO_DCE11)
endif

=== amdgpu-pro-16.30.3-320002fsomerville1/amd/dal/dc/bios/Makefile ===
#
# Makefile for the 'bios' sub-component of DAL.
# It provides the parsing and executing controls for atom bios image.

BIOS = bios_parser.o bios_parser_helper.o command_table.o command_table_helper.o

AMD_DAL_BIOS = $(addprefix $(AMDDALPATH)/dc/bios/,$(BIOS))

AMD_DAL_FILES += $(AMD_DAL_BIOS)

ifndef CONFIG_DRM_AMD_DAL_VBIOS_PRESENT
AMD_DAL_FILES := $(filter-out $(AMDDALPATH)/dc/bios/bios_parser_helper.o,$(AMD_DAL_FILES))
endif

###############################################################################
# DCE 8x
###############################################################################
# All DCE8.x are derived from DCE8.0, so 8.0 MUST be defined if ANY of
# DCE8.x is compiled.
ifdef CONFIG_DRM_AMD_DAL_DCE8_0

ifdef CONFIG_DRM_AMD_DAL_VBIOS_PRESENT
AMD_DAL_FILES += $(AMDDALPATH)/dc/bios/dce80/bios_parser_helper_dce80.o
endif

AMD_DAL_FILES += $(AMDDALPATH)/dc/bios/dce80/command_table_helper_dce80.o
endif

###############################################################################
# DCE 11x
###############################################################################
ifdef CONFIG_DRM_AMD_DAL_DCE11_0

ifdef CONFIG_DRM_AMD_DAL_VBIOS_PRESENT
AMD_DAL_FILES += $(AMDDALPATH)/dc/bios/dce110/bios_parser_helper_dce110.o
endif

AMD_DAL_FILES += $(AMDDALPATH)/dc/bios/dce110/command_table_helper_dce110.o
endif

ifdef CONFIG_DRM_AMD_DAL_DCE11_2
ccflags-y += -DLATEST_ATOM_BIOS_SUPPORT
ifdef CONFIG_DRM_AMD_DAL_VBIOS_PRESENT
AMD_DAL_FILES += $(AMDDALPATH)/dc/bios/dce112/bios_parser_helper_dce112.o
endif

AMD_DAL_FILES += $(AMDDALPATH)/dc/bios/dce112/command_table_helper_dce112.o
endif

=== amdgpu-pro-16.30.3-320002fsomerville1/amd/dal/dc/calcs/Makefile ===
#
# Makefile for the 'calcs' sub-component of DAL.
# It calculates Bandwidth and Watermarks values for HW programming
#

BW_CALCS = bandwidth_calcs.o bw_fixed.o scaler_filter.o gamma_calcs.o

AMD_DAL_BW_CALCS = $(addprefix $(AMDDALPATH)/dc/calcs/,$(BW_CALCS))

AMD_DAL_FILES += $(AMD_DAL_BW_CALCS)

=== debian/changelog ===
amdgpu-pro-dkms (16.30.3-320002fsomerville1) xenial; urgency=medium

  * Add BUILD_EXCLUSIVE_KERNEL="^4.4.*". 

 -- Cyrus Lien <cyrus.lien@canonical.com>  Tue, 06 Dec 2016 12:51:48 +0800

amdgpu-pro-dkms (16.30.3-320002f) stable; urgency=low

  * Automatically packaged by DKMS.

 -- Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>  Tue, 06 Dec 2016 12:35:29 +0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=amdgpu-pro
NAME=amdgpu-pro
VERSION=16.30.3-320002fsomerville1

override_dh_auto_clean:
	$(MAKE) clean

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

%:
	dh $@

## amdgpu-pro-dkms 16.30.3-320002fsomerville1ubuntu1

=== Makefile ===
#/usr/bin/make
SRC = $(DESTDIR)/usr/src
SHARE = $(DESTDIR)/usr/share/$(NAME)-dkms

all:

clean:

install:

#source tree
ifeq ("$(wildcard $(NAME)-$(VERSION))", "$(NAME)-$(VERSION)")
	install -d "$(SRC)"
	cp -a $(NAME)-$(VERSION) $(SRC)
endif

#tarball, possibly with binaries
ifeq ("$(wildcard $(NAME)-$(VERSION).dkms.tar.gz)", "$(NAME)-$(VERSION).dkms.tar.gz")
	install -d "$(SHARE)"
	install -m 644 $(NAME)-$(VERSION).dkms.tar.gz "$(SHARE)"
endif

#postinst, only if we are supporting legacy mode
ifeq ("$(wildcard common.postinst)", "common.postinst")
	install -d "$(SHARE)"
	install -m 755 $(PREFIX)/usr/lib/dkms/common.postinst $(SHARE)/postinst
endif

=== amdgpu-pro-16.30.3-320002fsomerville1ubuntu1/amd/amdgpu/Makefile ===
#
# Makefile for the drm device driver.  This driver provides support for the
# Direct Rendering Infrastructure (DRI) in XFree86 4.1.0 and higher.

FULL_AMD_PATH=$(src)/..
DAL_FOLDER_NAME=dal
FULL_AMD_DAL_PATH = $(FULL_AMD_PATH)/$(DAL_FOLDER_NAME)

ccflags-y := -Iinclude/drm -I$(FULL_AMD_PATH)/include/asic_reg \
	-I$(FULL_AMD_PATH)/include \
	-I$(FULL_AMD_PATH)/amdgpu \
	-I$(FULL_AMD_PATH)/scheduler \
	-I$(FULL_AMD_PATH)/powerplay/inc \
	-I$(FULL_AMD_PATH)/acp/include \
	-I$(FULL_AMD_DAL_PATH) \
	-I$(FULL_AMD_DAL_PATH)/include \
	-I$(FULL_AMD_DAL_PATH)/dc \
	-I$(FULL_AMD_DAL_PATH)/amdgpu_dm

LINUXINCLUDE := -I$(FULL_AMD_PATH)/include/uapi $(LINUXINCLUDE)

amdgpu-y := amdgpu_drv.o

# add KMS driver
amdgpu-y += amdgpu_device.o amdgpu_kms.o \
	amdgpu_atombios.o atombios_crtc.o amdgpu_connectors.o \
	atom.o amdgpu_fence.o amdgpu_ttm.o amdgpu_object.o amdgpu_gart.o \
	amdgpu_encoders.o amdgpu_display.o amdgpu_i2c.o \
	amdgpu_fb.o amdgpu_gem.o amdgpu_ring.o \
	amdgpu_cs.o amdgpu_bios.o amdgpu_benchmark.o amdgpu_test.o \
	amdgpu_pm.o atombios_dp.o amdgpu_afmt.o amdgpu_trace_points.o \
	atombios_encoders.o amdgpu_sa.o atombios_i2c.o \
	amdgpu_prime.o amdgpu_vm.o amdgpu_ib.o amdgpu_pll.o \
	amdgpu_ucode.o amdgpu_bo_list.o amdgpu_ctx.o amdgpu_sync.o

# add asic specific block
amdgpu-$(CONFIG_DRM_AMDGPU_CIK)+= cik.o cik_ih.o kv_smc.o kv_dpm.o \
	ci_smc.o ci_dpm.o dce_v8_0.o gfx_v7_0.o cik_sdma.o uvd_v4_2.o vce_v2_0.o \
	amdgpu_amdkfd_gfx_v7.o

amdgpu-y += \
	vi.o

# add GMC block
amdgpu-y += \
	gmc_v7_0.o \
	gmc_v8_0.o

# add IH block
amdgpu-y += \
	amdgpu_irq.o \
	amdgpu_ih.o \
	iceland_ih.o \
	tonga_ih.o \
	cz_ih.o

# add SMC block
amdgpu-y += \
	amdgpu_dpm.o \
	amdgpu_powerplay.o \
	cz_smc.o cz_dpm.o \
	tonga_smc.o tonga_dpm.o \
	fiji_smc.o fiji_dpm.o \
	iceland_smc.o iceland_dpm.o

# add DCE block
amdgpu-y += \
	dce_v10_0.o \
	dce_v11_0.o

# add GFX block
amdgpu-y += \
	amdgpu_gfx.o \
	gfx_v8_0.o

# add async DMA block
amdgpu-y += \
	sdma_v2_4.o \
	sdma_v3_0.o

# add UVD block
amdgpu-y += \
	amdgpu_uvd.o \
	uvd_v5_0.o \
	uvd_v6_0.o

# add VCE block
amdgpu-y += \
	amdgpu_vce.o \
	vce_v3_0.o

# add amdkfd interfaces
amdgpu-y += \
	 amdgpu_amdkfd.o \
	 amdgpu_amdkfd_gfx_v8.o

# add cgs
amdgpu-y += amdgpu_cgs.o

# GPU scheduler
amdgpu-y += \
	../scheduler/gpu_scheduler.o \
	../scheduler/sched_fence.o \
	amdgpu_job.o

# ACP componet
ifneq ($(CONFIG_DRM_AMD_ACP),)
amdgpu-y += amdgpu_acp.o

AMDACPPATH := ../acp
include $(FULL_AMD_PATH)/acp/Makefile

amdgpu-y += $(AMD_ACP_FILES)
endif

amdgpu-$(CONFIG_COMPAT) += amdgpu_ioc32.o
amdgpu-$(CONFIG_VGA_SWITCHEROO) += amdgpu_atpx_handler.o
amdgpu-$(CONFIG_ACPI) += amdgpu_acpi.o
amdgpu-$(CONFIG_MMU_NOTIFIER) += amdgpu_mn.o

ifneq ($(CONFIG_DRM_AMD_DAL),)

RELATIVE_AMD_DAL_PATH = ../$(DAL_FOLDER_NAME)
include $(FULL_AMD_DAL_PATH)/Makefile

amdgpu-y += $(AMD_DAL_FILES)

endif

ifneq ($(CONFIG_DRM_AMD_POWERPLAY),)

include $(FULL_AMD_PATH)/powerplay/Makefile

amdgpu-y += $(AMD_POWERPLAY_FILES)

endif

include $(FULL_AMD_PATH)/backport/Makefile

obj-$(CONFIG_DRM_AMDGPU)+= amdgpu.o

CFLAGS_amdgpu_trace_points.o := -I$(src)

=== amdgpu-pro-16.30.3-320002fsomerville1ubuntu1/amd/dal/dc/basics/Makefile ===
#
# Makefile for the 'utils' sub-component of DAL.
# It provides the general basic services required by other DAL
# subcomponents.

BASICS = conversion.o fixpt31_32.o fixpt32_32.o grph_object_id.o logger.o register_logger.o signal_types.o vector.o

AMD_DAL_BASICS = $(addprefix $(AMDDALPATH)/dc/basics/,$(BASICS))

AMD_DAL_FILES += $(AMD_DAL_BASICS)

=== amdgpu-pro-16.30.3-320002fsomerville1ubuntu1/amd/dal/dc/dce112/Makefile ===
#
# Makefile for the 'controller' sub-component of DAL.
# It provides the control and status of HW CRTC block.

DCE112 = dce112_link_encoder.o dce112_compressor.o dce112_hw_sequencer.o \
dce112_resource.o dce112_clock_source.o dce112_mem_input.o dce112_opp_formatter.o \
dce112_opp.o

AMD_DAL_DCE112 = $(addprefix $(AMDDALPATH)/dc/dce112/,$(DCE112))

AMD_DAL_FILES += $(AMD_DAL_DCE112)

=== debian/changelog ===
amdgpu-pro-dkms (16.30.3-320002fsomerville1ubuntu1) xenial; urgency=medium

  * Fixing build error on 4.4 kernel. (LP: #1822076)

 -- Cyrus Lien <cyrus.lien@canonical.com>  Wed, 10 Apr 2019 14:41:56 +0800

amdgpu-pro-dkms (16.30.3-320002fubuntu1) stable; urgency=low

  * Automatically packaged by DKMS.

 -- Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>  Wed, 10 Apr 2019 02:32:09 -0400

=== debian/control ===
Source: amdgpu-pro-dkms
Section: misc
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), dkms
Standards-Version: 3.8.1

Package: amdgpu-pro-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Description: amdgpu-pro driver in DKMS format.

=== amdgpu-pro-16.30.3-320002fsomerville1ubuntu1/amdgpu-pro-dkms-mkdeb/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=DEBIAN_PACKAGE
NAME=MODULE_NAME
VERSION=MODULE_VERSION

override_dh_auto_clean:
	$(MAKE) clean

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

%:
	dh $@

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 DEB_NAME=amdgpu-pro
 NAME=amdgpu-pro
-VERSION=16.30.3-320002fsomerville1
+VERSION=16.30.3-320002fsomerville1ubuntu1
 
 override_dh_auto_clean:
 	$(MAKE) clean
